org.apache.calcite.avatica.remote

## Interface HttpClientPoolConfigurable

All Known Implementing Classes:
  AvaticaCommonsHttpClientImpl

    public interface HttpClientPoolConfigurable

Allows a http connection pool to be provided to enable TLS authentication. On clients with this interface setHttpClientPool() MUST be called before using them.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setHttpClientPool(org.apache.hc.client5.http.impl.io.PoolingHttpClientConnectionManager pool, ConnectionConfig config)` Sets a PoolingHttpClientConnectionManager containing the collection of SSL/TLS server keys and truststores to use for HTTPS calls.

### Method Detail

#### setHttpClientPool

    void setHttpClientPool(org.apache.hc.client5.http.impl.io.PoolingHttpClientConnectionManager pool,
                           ConnectionConfig config)

Sets a PoolingHttpClientConnectionManager containing the collection of SSL/TLS server keys and truststores to use for HTTPS calls.

Parameters:
  `pool` - The http connection pool
  `config` - The connection config